> ## Name

> cgGetTextureStateAssignmentValue - get a texture-valued state assignment's values

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetTextureStateAssignmentValue( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment.

> ## Return Values

> Returns a handle to the texture parameter associated with this state assignment.

> Returns NULL if an error occurs.

> ## Description

> cgGetTextureStateAssignmentValue allows the application to retrieve the value(s) of a state assignment that stores a texture parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a texture type.

> ## History

> cgGetTextureStateAssignmentValue was introduced in Cg 1.4.

> ## See Also

> cgGetStateAssignmentState, cgGetStateType, cgGetFloatStateAssignmentValues, cgGetIntStateAssignmentValues, cgGetStringStateAssignmentValue, cgGetSamplerStateAssignmentValue